SHELL := /bin/bash
py := python3
home_dir := $(shell pwd)
setup_dirs := $(shell find . -name setup.py | tr '\n' ' ' | sed "s/setup.py//g")

build-python $(setup_dirs):
	@for dir in $(setup_dirs) ; do \
  		cd $$dir ; \
  		$(py) setup.py develop ; \
  		cd $(home_dir) ; \
	done

clean-python:
	rm -Rf *.pyc *.pyo *~ *.egg-info